Bug 1278206 - iSCSI rescan at disconnect_volume, can orphan volumes
iSCSI rescan at disconnect_volume, can orphan volumes
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Eric Harney
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 17:59 EST by openstack-dev
Modified: 2016-04-26 11:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 08:53:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1483326 None None None Never

  None (edit)
Description openstack-dev 2015-11-04 17:59:45 EST
Description of problem:

https://bugs.launchpad.net/os-brick/+bug/1483326

There are a handful of iSCSI multipathing related bug fixes that landed in stable/kilo upstream which need to be included in OSP 7. The upstream change in stable/kilo Cinder for this particular one can be found here: https://review.openstack.org/#/c/232847/
Comment 2 Sergey Gotliv 2015-11-12 01:54:31 EST
(In reply to openstack-dev from comment #0)
> Description of problem:
> 
> https://bugs.launchpad.net/os-brick/+bug/1483326
> 
> There are a handful of iSCSI multipathing related bug fixes that landed in
> stable/kilo upstream which need to be included in OSP 7. The upstream change
> in stable/kilo Cinder for this particular one can be found here:
> https://review.openstack.org/#/c/232847/

We automatically take all fixes merged upstream in our next sync, you don't have to open a bug for that. One thing to note: this bug is targeted for 8.0 (Liberty)
while description actually says that you need a fix in Kilo (7.0), please, pay attention to that in the future.

One way or another this fix is also merged to the stable Kilo, therefore closing that bug.

Note You need to log in before you can comment on or make changes to this bug.